uk.gov.hmrc.mongo.metrix

# MongoMetricRepository

###
Related Doc: package metrix

#### class MongoMetricRepository extends PlayMongoRepository[PersistedMetric] with MetricRepository

Annotations
  @Singleton()

Linear Supertypes
MetricRepository, PlayMongoRepository[PersistedMetric], MongoDatabaseCollection, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MongoMetricRepository
2. MetricRepository
3. PlayMongoRepository
4. MongoDatabaseCollection
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new MongoMetricRepository(mongoComponent: MongoComponent)(implicit ec: ExecutionContext)

   Annotations
     @Inject()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### val collection: MongoCollection[PersistedMetric]

   Definition Classes
     PlayMongoRepository

7. #### val collectionName: String

   Definition Classes
     PlayMongoRepository → MongoDatabaseCollection

8. #### def ensureIndexes: Future[Seq[String]]

   Definition Classes
     PlayMongoRepository

9. #### def ensureSchema: Future[Unit]

   Definition Classes
     PlayMongoRepository

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### def findAll(): Future[List[PersistedMetric]]

    Definition Classes
      MongoMetricRepository → MetricRepository

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### val indexes: Seq[IndexModel]

    Definition Classes
      PlayMongoRepository → MongoDatabaseCollection

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### val optSchema: Option[BsonDocument]

    Definition Classes
      PlayMongoRepository

22. #### def persist(calculatedMetric: PersistedMetric): Future[Unit]

    Definition Classes
      MongoMetricRepository → MetricRepository

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### def toString(): String

    Definition Classes
      AnyRef → Any

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from MetricRepository

### Inherited from PlayMongoRepository[PersistedMetric]

### Inherited from MongoDatabaseCollection

### Inherited from AnyRef

### Inherited from Any

### Ungrouped